Kerbal Space Program - Bug #11409

Clicking Offset Tool arrows in SPH causes part to jump
09/14/2016 10:19 AM - Kobymaru

Status: Not Fixed Start date: 09/14/2016
Severity: Normal % Done: 50%
Assignee:

Category: Gameplay

Target version:

Version: Build 01473 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

When a part is radially attached and the offset tool is active,
clicking any of the arrows without actually dragging them in any direction causes many parts to jump to a random location.

This happens with most parts, but it's particularly pronounced with the LV-01 fixed landing gear. When it is attached to a tank, using
the offset tool is impossible because the wheel goes all the way inside the tank. Clicking an arrow (without dragging) can be repeated
4 times, until the whole wheel just sticks out at the backside.

This bug is a duplicate of #7885, which has been archived but not fixed since the 1.1-pre release.

Related issues:
Related to Kerbal Space Program - Bug #9707: Move Tool shift Tail Fin before ... Closed 05/08/2016

History

#1 - 09/14/2016 02:54 PM - smjjames
- Status changed from New to Confirmed

- % Done changed from 0 to 10

No problem on opening a new one. :)

#3 - 09/14/2016 03:06 PM - smjjames
- Related to Bug #9707: Move Tool shift Tail Fin before try to move added

#9 - 09/25/2016 07:12 AM - swjr-swis

It would help immensely if either the subject or the original entry of this report is edited to add the LY-01 term. Note that it is misspelled as LV-01 in
the report text.

Duplicate reports keep getting created because searching for open reports with LY-01 in the subject or text returns nothing, then marked as duplicate
linked to this report making searching for it useless...

Case in point: #12246, #12360.

#10 - 09/25/2016 03:00 PM - Kobymaru

I'm afraid | don't have permission to edit the original entry. Sorry for the typo :/
Also, is the LY-01 the only part that is affected?

#11 - 10/01/2016 07:19 AM - Claw

- Status changed from Confirmed to Ready to Test
- Target version set to Build 01553

- % Done changed from 10 to 80

#12 - 10/01/2016 12:42 PM - swjr-swis
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50
1.2.0.1553 x64 Windows.

- Confirmed fully fixed for LY-01: no more unexpected jumps happen other than the snapping.

- Partially fixed for TT-18A Launch Stability Enhancer: the forward jump (pushing clamp into the attached part) is gone/fixed now, but a repeatable
spontaneous jump in the down direction relative to the orientation of the TT-18A still happens. Suggestion: perhaps if the offset origin was moved to
the same location as the rotation origin, this would not happen? right now the offset origin is diagonally below the rotation origin, in mid-air, instead of
where one would expect it.

So far not found any other surface-attachable part displaying unexpected jumping when clicking offset arrows.

| feel bad for setting it 'not fixed' due to the TT-18A partial, since it did the trick for the LY-01 at least. Should | file a new separate report for the
clamps only?

#14 - 11/27/2016 03:00 PM - Ruedii

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category deleted (Editor)

- Target version deleted (Build 01553)

Moving to main tracker

#15 - 11/27/2016 03:01 PM - Ruedii

- Category set to 81
